library(DSWE)

##################...........Edit in this section..............#############################
path = 'D:/reproducibility/'  # specify the path containing data set
Turbine_45 = read.csv(paste0(path,'Dataset1_1.csv'))
Turbine_54 = read.csv(paste0(path,'Dataset1_2.csv'))

############......Do not edit anything below this........#########################

x_columns = c(3, 2, 6, 4, 5)
y_col = 1
result_table = data.frame(matrix(NA, nrow = 5, ncol = 2))
colnames(result_table) = c('Turbine 45', 'Turbine 54')

## Retrieving results for Turbine 45
for (i in 1:length(x_columns)){
  
  knn_fit = KnnPCFit(data = Turbine_45, xCol = x_columns[1:i], yCol = 1)
  knn_fit2 = KnnPCFit(data = Turbine_54, xCol = x_columns[1:i], yCol = 1)
  
  result_table[i, 1] = round(knn_fit$RMSE * 100, 2)
  result_table[i, 2] = round(knn_fit2$RMSE * 100, 2)
}


## Display result
print(result_table)

