library(DSWE)

##################...........Edit in this section..............#############################

#set the folder containing data set as working directory
# setwd('C:/Files/chapter7/')

#import the data set
data = read.csv('Turbine Upgrade Dataset(Pitch Angle Pair, Table7.3).csv')

############......Do not edit anything below this........#########################

#creating a result data frame
result_table = data.frame(matrix(NA, nrow = 2, ncol = 9))
colnames(result_table) = c('r', '2%', '3%', '4%', '5%', '6%', '7%', '8%', '9%')
result_table[, 1] = c('Our estimate', 'Our estimate/rprime')

# Code for sensitivity analysis
data1 = data[data$upgrade.status==0, ]
data2 = data[data$upgrade.status==1, ]
rprime  = c(1.25, 1.87, 2.49, 3.11, 3.74, 4.36, 4.98, 5.60)
xCol = c(3, 4, 5, 6, 7)
xCol.circ = 4
dataList = list(data1, data2)
start_col = 2

# control model
control = ComparePCurve(data = dataList, xCol = xCol, xCol.circ = xCol.circ, testCol = c(3, 4), thrs = 0.2, yCol = 18)

# test model
for(col in c(10:17)){
  test = ComparePCurve(data = dataList, xCol = xCol, xCol.circ = xCol.circ, testCol = c(3, 4), thrs = 0.2, yCol = col)
  result_table[1, start_col] = test$weightedDiff - control$weightedDiff
  start_col = start_col+1
}
result_table[2, 2:9] = round(result_table[1,2:9 ] / rprime, 2)

# display result
print(result_table)
